import Blender
from Blender import *
from Blender.Scene import Render
import bpy


# change this!
RootPath = "d:\\ottdtest\\render\\"

#select one!
#mode = "normal"
mode= "mask"


mats = bpy.data.materials;

if mode=="mask":
	for mat in mats:
		if not mat.fakeUser:
			mat.mode |=Material.Modes.ENV



zoomLevels = [100,50,25]

myBlend = Blender.Object.Get();

print "Init success, continue"

curScene = Scene.GetCurrent()
myContext = curScene.getRenderingContext()
myContext.imageType = Render.PNG

#edit curFile currently unused
curFile = sys.makename( Blender.Get('filename'),strip=1)
curPath = RootPath + curFile +"\\"
print "Output to: ", curPath
myContext.setRenderPath('');
myContext.enableExtensions(True) 

# assuming 4 frames, each frame will be rendered at 3 zoom levels for 4 angles

for i in range(1,5,1):
	print "Frame #" , i
	myContext.currentFrame(i)
		
	#edit: changed d range from (0,3) to (0,1) to render z0 images only
	for d in range(0,1):
		zm = 100
		#changed d==1 and d==2 to d==2 and d==3 to avoid rendering z1 and z2 images
		if d == 2:
			zm =50;
		elif d == 3:
			zm = 25
		print "  Zoom level ", zm ,"%"
		myContext.setRenderWinSize(zm)
		
		#render
		#change 2nd value to 8-10 to access other layers (eg (6,8,1)) 8 for layer 6 and 7 etc
		for e in range(6,8,1):
		
			curScene.setLayers([2,e,10]);
			myContext.render()
		
			filestr = ""
			if mode=="mask":
				filestr = "m"
		
		#edit: changed curFile to "cpts" to avoid long filenames, change back for other filename
			print "Writing image: " +curPath + "sj" + "_" + str(i)  + "_" + str(e)  + "_z" + str(d) + filestr  +".png"
			myContext.saveRenderedImage(curPath +  "sj" + "_" + str(i)+ "_" + str(e)  + "_z" + str(d) + filestr   +".png")
			
			
if mode=="mask":
	for mat in mats:
		if not mat.fakeUser:
			if mat.mode & Material.Modes.ENV == Material.Modes.ENV :
				mat.mode = mat.mode -  Material.Modes.ENV